Home

# Class goog.ui.MenuSeparatorRenderer

Renderer for menu separators.

extends goog.ui.ControlRenderer

Instance Method Summary
| `createDom(?goog.ui.Separator separator) ⇒ ?Element` Returns an empty, styled menu separator DIV. Overrides {@link goog.ui.ControlRenderer#createDom}.
| `decorate(?goog.ui.Separator separator, ?Element element) ⇒ ?Element` Takes an existing element, and decorates it with the separator. Overrides {@link goog.ui.ControlRenderer#decorate}.
| `getCssClass() ⇒ string` Returns the CSS class to be applied to the root element of components rendered using this renderer.
| `setContent(?Element separator, ?goog.ui.ControlContent content)` Overrides {@link goog.ui.ControlRenderer#setContent} to do nothing, since separators are empty.